| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# DOMImplementationSource Class Reference

This interface permits a DOM implementer to supply one or more implementations, based upon requested features. More...

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMImplementationSource ()
| Destructor.
Functions introduced in DOM Level 3
virtual DOMImplementation * | getDOMImplementation (const XMLCh *features) const =0
| A method to request a DOM implementation.

## Protected Member Functions

Hidden constructors
| DOMImplementationSource ()

## Detailed Description

This interface permits a DOM implementer to supply one or more implementations, based upon requested features.

Each implemented `DOMImplementationSource` object is listed in the binding-specific list of available sources so that its `DOMImplementation` objects are made available.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

## Constructor & Destructor Documentation

DOMImplementationSource::DOMImplementationSource | ( |  | ) | `[protected]`

virtual DOMImplementationSource::~DOMImplementationSource | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual DOMImplementation* DOMImplementationSource::getDOMImplementation | ( | const XMLCh * | features | ) | const`[pure virtual]`

A method to request a DOM implementation.

"Experimental - subject to change"

Parameters:

  | features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal 2.0"

Returns:
  An implementation that has the desired features, or `null` if this source has none.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationSource.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.